/**
 * 新規
 * 2011/1/25
 * 孫奇全
 */

package com.aimluck.eip.modules.screens;

import org.apache.jetspeed.services.logging.JetspeedLogFactoryService;
import org.apache.jetspeed.services.logging.JetspeedLogger;
import org.apache.turbine.util.RunData;
import org.apache.velocity.context.Context;

import com.aimluck.eip.exttimecard.ExtTimecardSystemDetailFormData;
import com.aimluck.eip.util.ALEipUtils;



/**
 * タイムカード集計を処理するクラスです。 <br />
 *
 */
public class ExtTimecardSystemDetailFormScreen extends ALVelocityScreen {
  /** logger */
  private static final JetspeedLogger logger = JetspeedLogFactoryService
      .getLogger(ExtTimecardSystemDetailFormScreen.class.getName());

  /**
   * @see org.apache.turbine.modules.screens.RawScreen#doOutput(org.apache.turbine.util.RunData)
   */
  @Override
  protected void doOutput(RunData rundata, Context context) throws Exception {
	  
	  try {
		  doExttimecard_system_detail_form(rundata,context);
	    } catch (Exception ex) {
	      logger.error("[ExtTimecardSystemDetailFormScreen] Exception.", ex);
	      ALEipUtils.redirectDBError(rundata);
	    }
	  }
  protected void doExttimecard_system_detail_form(RunData rundata, Context context) {
    ExtTimecardSystemDetailFormData formData = new ExtTimecardSystemDetailFormData();
    formData.initField();
    formData.doDetailViewForm(this, rundata, context);
    setTemplate(rundata, context,
        "portlets/html/ja/ajax-exttimecardsystem-detail-list-form.vm");
  }
}